i.icon {
  &-user {
    .build-mask(24px, 24px, 'user');
  }
  &-comment {
    .build-mask(24px, 24px, 'comment');
  }
  &-star {
    &_full {
      color: @g-gold;
      .build-mask(24px, 24px, 'stars/full');
    }
    &_empty {
      color: @g-gold;
      .build-mask(24px, 24px, 'stars/empty');
    }
    &_hover {
      .build-mask(24px, 24px, 'stars/hover');
    }
  }
  &-like::after {
    width: 24px;
    height: 24px;
    background-image: url('@/static/icons/like/default.svg');
    background-color: transparent;
    background-repeat: no-repeat;
  }
  &-thumb {
    &_up {
      .build-mask(24px, 24px, 'like/thumb');
    }
    &_down {
      .build-mask(24px, 24px, 'like/thumb');
      transform: scale(-1, -1);
    }
  }
  &-socials {
    &-google {
      .build-mask(24px, 24px, 'socials/google');
    }
    &-vk {
      .build-mask(24px, 24px, 'socials/vk');
    }
    &-instagram {
      .build-mask(24px, 24px, 'socials/instagram');
    }
    &-telegram {
      .build-mask(24px, 24px, 'socials/telegram');
    }
    &-facebook {
      .build-mask(24px, 24px, 'socials/facebook');
    }
  }
  &-burger {
    .build-mask(20px, 14px, 'burger');
  }
  &-search {
    .build-mask(24px, 24px, 'search');
    color: @g-gray200;
  }
  &-order {
    .build-mask(24px, 24px, 'order');
    color: @g-gray300;
  }
  &-sort {
    .build-mask(24px, 24px, 'sort');
  }
  &-filter {
    .build-mask(24px, 24px, 'filter');
  }
  &-arrow {
    &_long {
      .build-mask(22px, 8px, 'arrows/long');
    }
    &-accordion {
      .build-mask(20px, 20px, 'arrows/accordion');
    }
    &-slider {
      .build-mask(78px, 38px, 'arrows/slider');
      &_min {
        .build-mask(6px, 10px, 'arrows/slider_min');
        color: @g-white600;
      }
    }
  }
  &-edit {
    .build-mask(24px, 24px, 'edit');
    color: @g-gray200;
  }
  &-trash {
    .build-mask(24px, 24px, 'trash');
    color: @g-gray200;
  }
  &-eye {
    .build-mask(24px, 24px, 'eye/open');
    &_closed {
      .build-mask(24px, 24px, 'eye/closed');
      color: @g-gray100;
    }
    color: @g-gray100;
  }
  &-lock {
    .build-mask(24px, 24px, 'lock');
    color: @g-gray200;
  }
  &-mail {
    .build-mask(24px, 24px, 'mail');
  }
}

i {
  display: inline-block;
  vertical-align: middle;
  color: currentColor;
  background-size: contain;
  &::after {
    display: block;
    content: '';
    background-color: currentColor;
    mask-size: contain;
  }
}
